
DO $$ 
DECLARE _path character varying(256) = '2025_02_03_IpWhiteList';

    BEGIN
         IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=14694) THEN
		RETURN;
          END IF;
 

	IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
		RETURN;
	END IF;


        BEGIN
  

CREATE TABLE public."IpWhiteList" (
    "Id" BIGSERIAL PRIMARY KEY,
    "Ip"  character varying(1024) NULL,
	"Timestamp" timestamp without time zone DEFAULT timezone('utc', now())  NOT NULL

);
 			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
  
		EXCEPTION
		WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2024_12_16_ProjectUserMentions: %', SQLERRM;
        END;
    END;
$$
